Get All Snowflake Integration Tables

This endpoint lists all the tables created under a certain Snowflake integration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

The response contains a TablesList response, listing all tables accessible using the given integration. When no integration name is provided - the default integration name is "snowflake_default".

TablesList Object

This object contains all tables the user can access using the given integration.

PropertyDescriptionExample
  • *tables** List[IntegrationTable]
The tables created within the integration.[
"site_visits"
]
📘

Note:

This endpoint is relevant only if the requesting user has a set tables in his Snowflake integration.


IntegrationTable Object

The object contains the information of a table defined within the given integration (usually these tables are created by the user himself).

PropertyDescriptionExample
  • *columns** Dict[str, List[str]]
The table's columns names.{
"names": [
"domain",
"country",
"date",
"all_traffic_visits",
"desktop_visits",
"mobile_visits"
]
}
  • *granularity** str
The granularity of the data in the table.
Can be 'daily', 'weekly' or 'monthly'.
"daily"
  • *metrics** Optional List[str]
The metrics that their data is included in the table.[
"all_traffic_visits",
"desktop_visits",
"mobile_visits"
]
  • *snowflakephysicalname** str
The full name of the table as appears on Snowflake. Combines the name of the table given by the user with it's account ID."my_snowflake_table_12345678"
  • *tablename** _str
The name of the table."my_snowflake_table"
  • *vtable** Optional str
The name of the vtable from which the data is extracted."traffic_and_engagement"
Path Params
string
required
Defaults to snowflake_default

The name of the client's integration

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json